#include "forms.h"
#include "Xsox.h"

extern FD_Xsox *fd_xsox;
extern char *AudioFormats[];

char *GetOutputType(void)
{
   int format;
   char *output;
   char *ptr,*sndtype ="unknown";
   
   if((format = fl_get_choice(fd_xsox->OutputFormat)) > 1)
   {
      sndtype = AudioFormats[format - 1];
   }
   else
     /* determine type through filename extension */
     if(output = (char *)fl_get_input(fd_xsox->SetOutput),*output != '\0')
   {
      ptr = output + strlen(output);
      while(*ptr != '.' && ptr > output) ptr--;
      if(*ptr++ == '.')
	sndtype = ptr;
   }
   return sndtype;
}

void AddOutputSpecs(char *cmd)
{  double rate;
   
   if(! fl_get_button(fd_xsox->OutputChannelOff))
   {
      if (fl_get_button(fd_xsox->Output1Channel))
	 sprintf(cmd+strlen(cmd),"-c 1 ");
      if (fl_get_button(fd_xsox->Output2Channel))
	 sprintf(cmd+strlen(cmd),"-c 2 ");
      if (fl_get_button(fd_xsox->Output4Channel))
	 sprintf(cmd+strlen(cmd),"-c 4 ");
   }
   
   rate = fl_get_counter_value(fd_xsox->OutputRate);
   if(rate != 0)
   {
      sprintf(cmd+strlen(cmd),"-r %.0f ",rate);
   }

   sprintf(cmd+strlen(cmd),"-t %s ",GetOutputType());

}

int AddOutputFile(char *cmd)
{  char *outputfile;
   
   outputfile = (char *)fl_get_input(fd_xsox->SetOutput);
   if(strlen(outputfile) == 0)
   {
      fl_show_alert("Error: no outputfile set !","","",1);
      return -1;
   }

   sprintf(cmd+strlen(cmd),"%s",outputfile);

   return 0;
}

